import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-forget',
  templateUrl: './forget.component.html',
  styleUrls: ['../auth.component.css', './forget.component.css']
})
export class ForgetComponent implements OnInit {

  public email: string = '';
  public error = { email: null, submit: null };
  public loading: boolean = false;
  constructor() { }

  ngOnInit() {
  }

  validate() {
    let status = true;

    this.error = { "email": null, "submit": null };
    if (this.email.length == 0) {
      status = false;
      this.error['email'] = "وارد کنید";
    }

    if (this.email.length != 0 && /^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test(this.email) == false) {
      status = false;
      this.error['email'] = "غیر قابل قبول";
    }

    return status;
  }

  submit() {
    if (this.validate()) {
      // Do forget password
      this.error.submit = "غیر فعال";
    }
  }
}
