import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { FormsModule } from '@angular/forms';

import { ProfileComponent } from './components/profile/profile.component';
import { SelectAvatarComponent } from './dialogs/select-avatar/select-avatar.component';



@NgModule({
  declarations: [ProfileComponent, SelectAvatarComponent],
  imports: [
    CommonModule,
    FormsModule,
    RouterModule.forChild([
      { path: 'profile', component: ProfileComponent }
    ])
  ]
})
export class MeModule { }
