import { Component, OnInit } from '@angular/core';
import { Functions } from '../../../services/functions/functions.service';
import { Settings } from '../../../services/settings/settings.service';
import emojis from './emojis.database';

@Component({
  selector: 'app-chat',
  templateUrl: './chat.component.html',
  styleUrls: ['./chat.component.css']
})
export class ChatComponent implements OnInit {

  public emojis = emojis;
  public loading: boolean = false;
  public none: boolean = false;
  public status: number = 0;
  public index: number = 0;
  public menu: string = null;
  public users: object[] = [
    { name: 'نام و نام خانوادگی', time: Date.now(), status: 0 },
    { name: 'نام و نام خانوادگی', time: Date.now(), status: 0 }
  ];
  constructor(public functions: Functions, public settings: Settings) { }

  ngOnInit() {
  }

}
