import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { FormsModule } from '@angular/forms';

import { DeleteComponent } from './delete/delete.component';
import { EditComponent } from './edit/edit.component';
import { SettingComponent } from './setting/setting.component';


@NgModule({
  declarations: [DeleteComponent, EditComponent, SettingComponent],
  imports: [
    CommonModule,
    FormsModule,
    RouterModule.forChild([
      { path: 'setting', component: SettingComponent },
      { path: 'edit', component: EditComponent },
      { path: 'delete', component: DeleteComponent }
    ])
  ]
})
export class ProjectModule { }
