import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { FormsModule } from '@angular/forms';

import { AppComponent } from './app/app.component';



@NgModule({
  declarations: [AppComponent],
  imports: [
    CommonModule,
    FormsModule,
    RouterModule.forChild([
      { path: ':id', component: AppComponent },
      { path: '**', redirectTo: '/setting/app' }
    ])
  ]
})
export class SettingModule { }
